module.exports = {
  "roots": [
    "<rootDir>/src"
  ],
  "setupFilesAfterEnv": ["./src/tests/utils/helpers.ts"],
  "testMatch": [
    "**/__tests__/**/*.+(ts|tsx|js)",
    "**/?(*.)+(spec|test).+(ts|tsx|js)"
  ],
  "testPathIgnorePatterns": [
    ".*/tests/.*.ts"
  ],
  "transform": {
    "^.+\\.(ts|tsx)$": "ts-jest"
  },
  "coveragePathIgnorePatterns": [
    "node_modules",
    ".module.ts",
    "<rootDir>/src/binutils.ts",
    ".mock.ts"
  ],
}