import { compareWeighted } from "./utils";

describe('Test utils', () => {
    it('works', () => {
      expect(compareWeighted('a','b')).toEqual(-1);
      expect(compareWeighted('a','a')).toEqual(0);
      expect(compareWeighted('b','a')).toEqual(1);
      expect(compareWeighted('a','')).toEqual(1);
      expect(compareWeighted('','a')).toEqual(-1);
      expect(compareWeighted('','')).toEqual(0);
      expect(compareWeighted('LOGIN_C','ANOTHER_Z')).toEqual(1);
      expect(compareWeighted('LOGIN_C','NEXT_Z')).toEqual(-1);
      expect(compareWeighted('LOGIN_C','LOGIN_A')).toEqual(7);
      expect(compareWeighted('LOGIN_C','LOGIN_C')).toEqual(0);
      expect(compareWeighted('LOGIN_C','LOGIN_')).toEqual(7);
      expect(compareWeighted('LOGIN_C','LOGIN_CA')).toEqual(-8);
      expect(compareWeighted('LOGIN_C','LOGIN_Z')).toEqual(-7);
    })

})